Environments
Create a Box environment
Create a new named environment. It starts on version 1 with all fine-grained flags on and safeForThirdParties off.
POST
/
environments
Create a Box environment
curl --request POST \
--url https://ascii.dev/api/box/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "customer-demos"
}
'import requests
url = "https://ascii.dev/api/box/v1/environments"
payload = { "name": "customer-demos" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'customer-demos'})
};
fetch('https://ascii.dev/api/box/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "base",
"isDefault": true,
"latestVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safeForThirdParties": true,
"passGithub": true,
"passSecrets": true,
"passBoxCredentials": true,
"passAgentsCredentials": true,
"envContents": "<string>",
"secretFiles": [
{
"path": ".config/service-account.json",
"contents": "<string>"
}
],
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"boxCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"selectedRepositories": [
{
"id": 123,
"databaseId": "<string>",
"name": "<string>",
"fullName": "acme/web",
"private": true,
"permissions": "<string>",
"pushedAt": "2023-11-07T05:31:56Z",
"baseBranch": "main",
"setupRoutineId": "<string>",
"setupScript": "<string>",
"setupBlocking": true,
"preCommitHooks": [
{
"id": "<string>",
"script": "<string>",
"blocking": true
}
]
}
]
}
]
}{
"ok": false,
"type": "box.error",
"status": 400,
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"error": {
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"status": 400
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 409,
"code": "provider_not_configured",
"message": "Prompting is locked until Codex is configured on the Agents page.",
"requestId": "req_01HX...",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Body
application/json
Unique environment name. Letters, numbers, dot, dash, underscore; max 64 chars.
Maximum string length:
64Pattern:
^[a-zA-Z0-9._-]+$Example:
"customer-demos"
Response
Environment created; full list returned.
Show child attributes
Show child attributes
⌘I
Create a Box environment
